Skip to main content
GET
Get branch file

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

branchName
string
required

Branch name

filePath
string
required

File path (URL-encoded, for example, pages%2Findex.mdx).

Query Parameters

include_server_functions
enum<string>
Available options:
true,
false
fields
string

Response projection, for example (id,path,size). Omit to return all file fields, including content. Response fields to include or exclude. Examples: (id,name), (id,files(path)), and !(content).

Pattern: ^!?\([^)]*\)$
Example:

"(id,path,type,size)"

Response

File from the branch with selectable response fields.

path
string
required
content
string
required
size
number
required

Size of the file content encoded as UTF-8, in bytes.

type
enum<string>
required
Available options:
page,
function,
component,
file
updated_at
string
required
id
string
version_id
string